Subject: Re: bug#32457: 26.1.50; automatically set indent-tabs-mode from .gitattributes

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 18 May 2022 14:18:09 +0200

Tom Tromey <[email-masked]> writes:

> git can be configured to complain about indenting with tabs
> by using "whitespace=tab-in-indent" in .gitattributes.
>
> It would be nice if Emacs automatically detected this and set
> indent-tabs-mode to nil.
>
> git attributes can be queried using "git check-attr", for instance:
>
> $ git check-attr whitespace -- src/librustc_codegen_llvm/debuginfo/metadata.rs
> src/librustc_codegen_llvm/debuginfo/metadata.rs: whitespace: tab-in-indent,trailing-space,tabwidth=4

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I don't think this would be an appropriate feature for Emacs core -- it
would be too surprising if Emacs was setting `indent-tabs-mode' based on
external factors like this (and I'm sure there's a lot of other hints it
could be taking from other VCs).

It does sound like it could be a useful ELPA package, though, but I'm
closing this wishlist item in the Emacs bug tracker.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no